You are receiving this mail as a port that you maintain
is failing to build on the FreeBSD package build server.
Please investigate the failure and submit a PR to fix
build.

Maintainer:     lercorde...@gmail.com
Last committer: b...@freebsd.org
Ident:          $FreeBSD: head/x11-toolkits/ruby-fox16/Makefile 351824 
2014-04-22 12:35:06Z bapt $
Log URL:        
http://beefy2.isc.freebsd.org/bulk/head-amd64-default/2014-06-27_09h04m54s/logs/ruby19-fox-1.6.19_14.log
Build URL:      
http://beefy2.isc.freebsd.org/bulk/head-amd64-default/2014-06-27_09h04m54s
Log:

====>> Building x11-toolkits/ruby-fox16
build started at Sat Jun 28 02:28:14 UTC 2014
port directory: /usr/ports/x11-toolkits/ruby-fox16
building for: FreeBSD head-amd64-default-job-03 11.0-CURRENT FreeBSD 
11.0-CURRENT r267845 amd64
maintained by: lercorde...@gmail.com
Makefile ident:      $FreeBSD: head/x11-toolkits/ruby-fox16/Makefile 351824 
2014-04-22 12:35:06Z bapt $
Poudriere version: 3.1-pre
Host OSVERSION: 1100022
Jail OSVERSION: 1100023




!!! Jail is newer than host. (Jail: 1100023, Host: 1100022) !!!
!!! This is not supported. !!!
!!! Host kernel must be same or newer than jail. !!!
!!! Expect build failures. !!!



---Begin Environment---
OSVERSION=1100023
UNAME_v=FreeBSD 11.0-CURRENT r267845
UNAME_r=11.0-CURRENT
BLOCKSIZE=K
MAIL=/var/mail/root
STATUS=1
SAVED_TERM=
MASTERMNT=/usr/local/poudriere/data/build/head-amd64-default/ref
PKG_EXT=txz
tpid=82192
PATH=/sbin:/bin:/usr/sbin:/usr/bin:/usr/games:/usr/local/sbin:/usr/local/bin:/root/bin
POUDRIERE_BUILD_TYPE=bulk
PKGNG=1
PKGNAME=ruby19-fox-1.6.19_14
PKG_DELETE=/usr/local/sbin/pkg-static delete -y -f
PKG_ADD=/usr/local/sbin/pkg-static add
OLDPWD=/usr/local/poudriere/data/build/head-amd64-default/ref/poudriere/rdeps
PWD=/usr/local/poudriere/data/build/head-amd64-default/ref/poudriere/pool
MASTERNAME=head-amd64-default
USER=root
HOME=/root
POUDRIERE_VERSION=3.1-pre
LOCALBASE=/usr/local
PACKAGE_BUILDING=yes
PKG_VERSION=/poudriere/pkg-static version
PKG_BIN=/usr/local/sbin/pkg-static
---End Environment---

---Begin OPTIONS List---
---End OPTIONS List---

--CONFIGURE_ARGS--

--End CONFIGURE_ARGS--

--CONFIGURE_ENV--
TMPDIR="/tmp" SHELL=/bin/sh CONFIG_SHELL=/bin/sh
--End CONFIGURE_ENV--

--MAKE_ENV--
TMPDIR="/tmp" NO_PIE=yes SHELL=/bin/sh NO_LINT=YES PREFIX=/usr/local  
LOCALBASE=/usr/local  LIBDIR="/usr/lib"  CC="cc" CFLAGS="-O2 -pipe  
-fno-strict-aliasing"  CPP="cpp" CPPFLAGS=""  LDFLAGS="" LIBS=""  CXX="c++" 
CXXFLAGS="-O2 -pipe -fno-strict-aliasing"  MANPREFIX="/usr/local" 
BSD_INSTALL_PROGRAM="install  -s -o root -g wheel -m 555"  
BSD_INSTALL_LIB="install  -s -o root -g wheel -m 444"  
BSD_INSTALL_SCRIPT="install  -o root -g wheel -m 555"  
BSD_INSTALL_DATA="install  -o root -g wheel -m 444"  BSD_INSTALL_MAN="install  
-o root -g wheel -m 444"
--End MAKE_ENV--

--PLIST_SUB--
RUBY_LIBDIR="lib/ruby/1.9"
RUBY_ARCHLIBDIR="lib/ruby/1.9/amd64-freebsd11"
RUBY_SITELIBDIR="lib/ruby/site_ruby/1.9"
RUBY_SITEARCHLIBDIR="lib/ruby/site_ruby/1.9/amd64-freebsd11"
RUBY_VENDORLIBDIR="lib/ruby/vendor_ruby/1.9"
RUBY_VENDORARCHLIBDIR="lib/ruby/vendor_ruby/1.9/amd64-freebsd11"
RUBY_MODDOCDIR="share/doc/ruby19/fox"
RUBY_MODEXAMPLESDIR="share/examples/ruby19/fox"
RUBY_DOCDIR="share/doc/ruby19"
RUBY_EXAMPLESDIR="share/examples/ruby19"
RUBY_RIDIR="share/ri/1.9/system"
RUBY_SITERIDIR="share/ri/1.9/site"
RUBY_ELISPDIR="lib/ruby/elisp"
RUBY_VERSION="1.9.3.484"
RUBY_VER="1.9"
RUBY_SHLIBVER="19"
RUBY_ARCH="amd64-freebsd11"
RUBY_SUFFIX="19"
RUBY_NAME="ruby19"
RUBY_DEFAULT_SUFFIX="19"
RUBY19=""
RUBY20="@comment
"
RUBY21="@comment
"
RUBY_RD_HTML_FILES="@comment
"
OSREL=11.0
PREFIX=%D
LOCALBASE=/usr/local
PORTDOCS=""
PORTEXAMPLES=""
PORTDATA=""
LIB32DIR=lib
DOCSDIR="share/doc/fox"
EXAMPLESDIR="share/examples/fox"
DATADIR="share/fox"
WWWDIR="www/fox"
ETCDIR="etc/fox"
--End PLIST_SUB--

--SUB_LIST--
PREFIX=/usr/local
LOCALBASE=/usr/local
DATADIR=/usr/local/share/fox
DOCSDIR=/usr/local/share/doc/fox
EXAMPLESDIR=/usr/local/share/examples/fox
WWWDIR=/usr/local/www/fox
ETCDIR=/usr/local/etc/fox
--End SUB_LIST--

---Begin make.conf---
USE_PACKAGE_DEPENDS=yes
BATCH=yes
WRKDIRPREFIX=/wrkdirs
PORTSDIR=/usr/ports
PACKAGES=/packages
DISTDIR=/distfiles
#### /usr/local/etc/poudriere.d/make.conf ####
WITH_PKGNG=yes
# clean-restricted ran via poudriere.conf NO_RESTRICTED
#NO_RESTRICTED=yes
DISABLE_MAKE_JOBS=poudriere
---End make.conf---
===>  Cleaning for ruby19-fox-1.6.19_14
=======================<phase: check-sanity   >============================
===========================================================================
=======================<phase: pkg-depends    >============================
===>   ruby19-fox-1.6.19_14 depends on file: /usr/local/sbin/pkg - not found
===>    Verifying install for /usr/local/sbin/pkg in /usr/ports/ports-mgmt/pkg
===>   Installing existing package /packages/All/pkg-1.2.7_3.txz
Installing pkg-1.2.7_3... done
If you are upgrading from the old package format, first run:

  # pkg2ng
===>   Returning to build of ruby19-fox-1.6.19_14
===========================================================================
=======================<phase: fetch-depends  >============================
===========================================================================
=======================<phase: fetch          >============================
===> Fetching all distfiles required by ruby19-fox-1.6.19_14 for building
===========================================================================
=======================<phase: checksum       >============================
===> Fetching all distfiles required by ruby19-fox-1.6.19_14 for building
=> SHA256 Checksum OK for ruby/FXRuby-1.6.19.tar.gz.
===========================================================================
=======================<phase: extract-depends>============================
===>   ruby19-fox-1.6.19_14 depends on file: /usr/local/bin/ruby19 - not found
===>    Verifying install for /usr/local/bin/ruby19 in /usr/ports/lang/ruby19
===>   Installing existing package /packages/All/ruby-1.9.3.484_2,1.txz
Installing ruby-1.9.3.484_2,1...Installing libffi-3.0.13_1... done
Installing libyaml-0.1.6... done
 done
====
Some of the standard commands are provided as separate ports for ease
of upgrading:

        devel/ruby-gems:        gem - RubyGems package manager
        devel/rubygem-rake:     rake - Ruby Make

And some of the standard libraries are provided as separate ports
since they require extra dependencies:

        converters/ruby-iconv:  iconv module
        databases/ruby-gdbm:    GDBM module
        x11-toolkits/ruby-tk:   Tcl/Tk modules
        japanese/ruby-tk:       Tcl/Tk modules for Japanized Tcl/Tk

Install them as occasion demands.
====
===>   Returning to build of ruby19-fox-1.6.19_14
===========================================================================
=======================<phase: extract        >============================
===> Fetching all distfiles required by ruby19-fox-1.6.19_14 for building
===>  Extracting for ruby19-fox-1.6.19_14
=> SHA256 Checksum OK for ruby/FXRuby-1.6.19.tar.gz.
===========================================================================
=======================<phase: patch-depends  >============================
===>   ruby19-fox-1.6.19_14 depends on file: /usr/local/bin/ruby19 - found
===========================================================================
=======================<phase: patch          >============================
===>  Patching for ruby19-fox-1.6.19_14
===========================================================================
=======================<phase: build-depends  >============================
===>   ruby19-fox-1.6.19_14 depends on file: /usr/local/bin/ruby19 - found
===>   ruby19-fox-1.6.19_14 depends on file: 
/usr/local/libdata/pkgconfig/xextproto.pc - not found
===>    Verifying install for /usr/local/libdata/pkgconfig/xextproto.pc in 
/usr/ports/x11/xextproto
===>   Installing existing package /packages/All/xextproto-7.3.0.txz
Installing xextproto-7.3.0... done
===>   Returning to build of ruby19-fox-1.6.19_14
===>   ruby19-fox-1.6.19_14 depends on file: 
/usr/local/libdata/pkgconfig/glproto.pc - not found
===>    Verifying install for /usr/local/libdata/pkgconfig/glproto.pc in 
/usr/ports/x11/glproto
===>   Installing existing package /packages/All/glproto-1.4.17.txz
Installing glproto-1.4.17... done
===>   Returning to build of ruby19-fox-1.6.19_14
===>   ruby19-fox-1.6.19_14 depends on file: 
/usr/local/libdata/pkgconfig/dri2proto.pc - not found
===>    Verifying install for /usr/local/libdata/pkgconfig/dri2proto.pc in 
/usr/ports/x11/dri2proto
===>   Installing existing package /packages/All/dri2proto-2.8.txz
Installing dri2proto-2.8... done
===>   Returning to build of ruby19-fox-1.6.19_14
===>   ruby19-fox-1.6.19_14 depends on file: 
/usr/local/libdata/pkgconfig/xcursor.pc - not found
===>    Verifying install for /usr/local/libdata/pkgconfig/xcursor.pc in 
/usr/ports/x11/libXcursor
===>   Installing existing package /packages/All/libXcursor-1.1.14_2.txz
Installing libXcursor-1.1.14_2...Installing libX11-1.6.2_2,1...Installing 
kbproto-1.0.6... done
Installing libXau-1.0.8_2...Installing xproto-7.0.25... done
 done
Installing libXdmcp-1.1.1_2... done
Installing libxcb-1.10_2...Installing libpthread-stubs-0.3_5... done
Installing libxml2-2.9.1_1... done
 done
 done
Installing libXfixes-5.0.1_2...Installing fixesproto-5.0... done
 done
Installing libXrender-0.9.8_2...Installing renderproto-0.11.1... done
 done
 done
===>   Returning to build of ruby19-fox-1.6.19_14
===>   ruby19-fox-1.6.19_14 depends on file: 
/usr/local/libdata/pkgconfig/xproto.pc - found
===>   ruby19-fox-1.6.19_14 depends on file: 
/usr/local/libdata/pkgconfig/x11.pc - found
===>   ruby19-fox-1.6.19_14 depends on file: 
/usr/local/libdata/pkgconfig/xext.pc - not found
===>    Verifying install for /usr/local/libdata/pkgconfig/xext.pc in 
/usr/ports/x11/libXext
===>   Installing existing package /packages/All/libXext-1.3.2_2,1.txz
Installing libXext-1.3.2_2,1... done
===>   Returning to build of ruby19-fox-1.6.19_14
===>   ruby19-fox-1.6.19_14 depends on file: 
/usr/local/libdata/pkgconfig/xrandr.pc - not found
===>    Verifying install for /usr/local/libdata/pkgconfig/xrandr.pc in 
/usr/ports/x11/libXrandr
===>   Installing existing package /packages/All/libXrandr-1.4.2_2.txz
Installing libXrandr-1.4.2_2...Installing randrproto-1.4.0... done
 done
===>   Returning to build of ruby19-fox-1.6.19_14
===========================================================================
=======================<phase: lib-depends    >============================
===>   ruby19-fox-1.6.19_14 depends on shared library: libFOX-1.6.so - not found
===>    Verifying for libFOX-1.6.so in /usr/ports/x11-toolkits/fox16
===>   Installing existing package /packages/All/fox16-1.6.49_2.txz
Installing fox16-1.6.49_2...Installing jpeg-8_5... done
Installing libGLU-9.0.0...Installing libGL-9.1.7_1...Installing 
expat-2.1.0_1... done
Installing libXdamage-1.1.4_2...Installing damageproto-1.2.1... done
 done
Installing libXxf86vm-1.1.3_2...Installing xf86vidmodeproto-2.3.1... done
 done
Installing libdrm-2.4.52...Installing libpciaccess-0.13.2_2...Installing 
pciids-20140620... done
 done
 done
Installing libglapi-9.1.7...Installing libxshmfence-1.1_2... done
 done
 done
 done
Installing libXft-2.3.1_2...Installing fontconfig-2.11.0_3,1...Installing 
freetype2-2.5.3_2... done
Running fc-cache to build fontconfig cache...
/usr/local/share/fonts: skipping, no such directory
/usr/local/lib/X11/fonts: caching, new cache contents: 0 fonts, 1 dirs
/usr/local/lib/X11/fonts/local: caching, new cache contents: 0 fonts, 0 dirs
/root/.local/share/fonts: skipping, no such directory
/root/.fonts: skipping, no such directory
/usr/local/share/fonts: skipping, no such directory
/usr/local/lib/X11/fonts: caching, new cache contents: 0 fonts, 1 dirs
/root/.local/share/fonts: skipping, no such directory
/root/.fonts: skipping, no such directory
/var/db/fontconfig: cleaning cache directory
/root/.cache/fontconfig: not cleaning non-existent cache directory
/root/.fontconfig: not cleaning non-existent cache directory
fc-cache: succeeded
 done
 done
Installing png-1.5.18... done
Installing tiff-4.0.3_4...Installing jbigkit-2.1_1... done
 done
 done
===>   Returning to build of ruby19-fox-1.6.19_14
===>   ruby19-fox-1.6.19_14 depends on shared library: libpng15.so - found 
(/usr/local/lib/libpng15.so.15)
===>   ruby19-fox-1.6.19_14 depends on shared library: libjpeg.so - found 
(/usr/local/lib/libjpeg.so.11)
===>   ruby19-fox-1.6.19_14 depends on shared library: libtiff.so - found 
(/usr/local/lib/libtiff.so.4)
===>   ruby19-fox-1.6.19_14 depends on shared library: libfxscintilla.so - not 
found
===>    Verifying for libfxscintilla.so in /usr/ports/x11-toolkits/fxscintilla
===>   Installing existing package /packages/All/fxscintilla-2.28.0_8.txz
Installing fxscintilla-2.28.0_8... done
===>   Returning to build of ruby19-fox-1.6.19_14
===>   ruby19-fox-1.6.19_14 depends on shared library: libGLU.so - found 
(/usr/local/lib/libGLU.so.1)
===========================================================================
=======================<phase: configure      >============================
===>  Configuring for ruby19-fox-1.6.19_14
===>  Running install.rb to configure
install.rb:788: Use RbConfig instead of obsolete and deprecated Config.
---> lib
---> lib/fox16
<--- lib/fox16
<--- lib
---> ext
---> ext/fox16
/usr/local/bin/ruby19 
/wrkdirs/usr/ports/x11-toolkits/ruby-fox16/work/FXRuby-1.6.19/ext/fox16/extconf.rb
checking for sys/time.h... yes
checking for signal.h... yes
checking for png_create_read_struct() in -lpng... yes
checking for deflate() in -lz... yes
checking for jpeg_mem_init() in -ljpeg... yes
checking for TIFFSetErrorHandler() in -ltiff... yes
checking for XShmQueryVersion() in -lXext... yes
checking for XFindContext() in -lX11... yes
checking for glXCreateContext() in -lGL... yes
checking for gluNewQuadric() in -lGLU... yes
creating Makefile
---> ext/fox16/include
<--- ext/fox16/include
<--- ext/fox16
<--- ext
===========================================================================
=======================<phase: build          >============================
===>  Building for ruby19-fox-1.6.19_14
===>  Running install.rb to build
install.rb:788: Use RbConfig instead of obsolete and deprecated Config.
---> lib
---> lib/fox16
<--- lib/fox16
<--- lib
---> ext
---> ext/fox16
make
compiling librb.c
cc: error: unknown argument: '-ffriend-injection'
*** Error code 1

Stop.
make[1]: stopped in 
/wrkdirs/usr/ports/x11-toolkits/ruby-fox16/work/FXRuby-1.6.19/ext/fox16
install.rb:655:in `command': system("make") failed (RuntimeError)
        from install.rb:664:in `make'
        from install.rb:1258:in `setup_dir_ext'
        from install.rb:1532:in `block in traverse'
        from install.rb:1549:in `dive_into'
        from install.rb:1530:in `traverse'
        from install.rb:1534:in `block (2 levels) in traverse'
        from install.rb:1533:in `each'
        from install.rb:1533:in `block in traverse'
        from install.rb:1549:in `dive_into'
        from install.rb:1530:in `traverse'
        from install.rb:1524:in `block in exec_task_traverse'
        from install.rb:1519:in `each'
        from install.rb:1519:in `exec_task_traverse'
        from install.rb:1246:in `exec_setup'
        from install.rb:996:in `exec_setup'
        from install.rb:826:in `invoke'
        from install.rb:773:in `invoke'
        from install.rb:1578:in `<main>'
*** Error code 1

Stop.
make: stopped in /usr/ports/x11-toolkits/ruby-fox16
===>  Cleaning for ruby19-fox-1.6.19_14
_______________________________________________
freebsd-pkg-fallout@freebsd.org mailing list
https://lists.freebsd.org/mailman/listinfo/freebsd-pkg-fallout
To unsubscribe, send any mail to "freebsd-pkg-fallout-unsubscr...@freebsd.org"

Reply via email to